Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8202 - pump 0.7.3 works in 2.2.13 but stops working in 2.2.14
Summary: pump 0.7.3 works in 2.2.13 but stops working in 2.2.14
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pump
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-05 05:55 UTC by joe
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-23 20:53:55 UTC


Attachments (Terms of Use)

Description joe 2000-01-05 05:55:33 UTC
I'm using pump 0.7.3 to connect to RoadRunner in Austin, Texas.  It
works fine under 2.2.13 and earlier versions, but somewhere along the
2.2.14 /sbin/pump locks up.  Running it through the debugger, it freezes
as it attempts to read from the control sock.  My ethernet configuration
is

DEVICE="eth1"
IPADDR=""
NETMASK=""
ONBOOT="yes"
BOOTPROTO="pump"
IPXNETNUM_802_2=""
IPXPRIMARY_802_2="no"
IPXACTIVE_802_2="no"
IPXNETNUM_802_3=""
IPXPRIMARY_802_3="no"
IPXACTIVE_802_3="no"
IPXNETNUM_ETHERII=""
IPXPRIMARY_ETHERII="no"
IPXACTIVE_ETHERII="no"
IPXNETNUM_SNAP=""
IPXPRIMARY_SNAP="no"
IPXACTIVE_SNAP="no"

Comment 1 Bill Nottingham 2000-01-05 16:43:59 UTC
What's your kernel config look like?

Comment 2 joe 2000-01-05 19:13:59 UTC
I've been using the rpm's for MandrakeCooker.

Comment 3 joe 2000-01-16 06:03:59 UTC
Some more information.  I tried to run pump with RawHide kernel 2.2.14-1.1.0
compiled for the i586 and I run into the same problems.

Comment 4 Tony da Costa 2000-02-29 15:18:59 UTC
WORKSFORME Resolution???  Hate to tell you this, but this is not an isolated
incident.  I am having the exact same problem with pump and 2.2.14 kernel on a
different ISP.  I have tried new versions of pump up to 0.7.7 and they all
display the same problem with kernel 2.2.14, exactly as described above.  ISP
is @Home(Shaw Wave), using Motorola CyberSurf cablemodems.  When I revert back
to 2.2.13 kernel all is well.


Note You need to log in before you can comment on or make changes to this bug.